Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.geometry.collision
Class BoundingCylinder

    java.lang.Object
      de.rico.engine.geometry.collision.BoundingCylinder

All Implemented Interfaces:
  BoundingVolumeIface

Deprecated. not capable of frustum culling

    @Deprecated
    public class BoundingCylinder

extends java.lang.Object
implements BoundingVolumeIface

This class represents a bounding cylinder that can be used for collision detection

Author:
  Frank Bruns

Constructor Summary
`BoundingCylinder(AbstractMesh mesh)` Deprecated. Creates a new bounding cylinder comprising the specified mesh

Method Summary
`void` | `draw(javax.media.opengl.GL gl)` Deprecated. Draws the bounding volume
`float` | `getBottomY()` Deprecated. Returns the bottom y-coordinate of the bounding cylinder.
`Point3D` | `getCenter()` Deprecated. Returns the center point of the bounding volume
`float` | `getMeshHeight()` Deprecated. Returns the height of the mesh that is bounded by the bounding volume.
`float` | `getRadius()` Deprecated. Returns the radius of the boundng cylinder
`float` | `getTopY()` Deprecated. Returns the top y value of the bounding cylinder.
`boolean` | `isWithinFrustum(ViewingFrustum frustum)` Deprecated. Determines whether the bounding volume is inside the viewing frustum.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoundingCylinder

    public BoundingCylinder(AbstractMesh mesh)

  Deprecated.
  Creates a new bounding cylinder comprising the specified mesh

  Parameters:
    `mesh` - mesh to create the bounding cylinder for

Method Detail

### isWithinFrustum

    public boolean isWithinFrustum(ViewingFrustum frustum)

  Deprecated.
  Description copied from interface: `BoundingVolumeIface`
  Determines whether the bounding volume is inside the viewing frustum. If it's not inside the viewing frustum the mesh that is bounded by this bounding volume doesn't need to be drawn anymore.

  Specified by:
    `isWithinFrustum` in interface `BoundingVolumeIface`
  Parameters:
    `frustum` - viewing frustum object which is coupled to the camera object

### getCenter

    public Point3D getCenter()

  Deprecated.
  Description copied from interface: `BoundingVolumeIface`
  Returns the center point of the bounding volume

  Specified by:
    `getCenter` in interface `BoundingVolumeIface`
  Returns:
    center point of the bounding volume

### getMeshHeight

    public float getMeshHeight()

  Deprecated.
  Description copied from interface: `BoundingVolumeIface`
  Returns the height of the mesh that is bounded by the bounding volume.

  Specified by:
    `getMeshHeight` in interface `BoundingVolumeIface`
  Returns:
    height of the mesh

### getRadius

    public float getRadius()

  Deprecated.
  Returns the radius of the boundng cylinder

  Returns:
    radius of the bounding cylinder

### getBottomY

    public float getBottomY()

  Deprecated.
  Returns the bottom y-coordinate of the bounding cylinder.

  Returns:
    bottom y-coordinate of the cylinder

### getTopY

    public float getTopY()

  Deprecated.
  Returns the top y value of the bounding cylinder.

  Returns:
    top y-coordinate of the cylinder

### draw

    public void draw(javax.media.opengl.GL gl)

  Deprecated.
  Description copied from interface: `BoundingVolumeIface`
  Draws the bounding volume

  Specified by:
    `draw` in interface `BoundingVolumeIface`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD